using System.Collections.ObjectModel;
using Entidades;
using Microsoft.EntityFrameworkCore;

namespace Modelo;

public abstract class RepositorioBase<S>
    where S : new()
{
    protected AlquilaFacilContext Context { get; set; } = new AlquilaFacilContext();

    private static readonly S  instance = new();
    public static S Singleton { get{return instance;}}

    public bool Guardar(){
        bool ret = false;
        try
        {
            Context.SaveChanges();
            Context.Dispose();
            Context = new AlquilaFacilContext();
            ret = true;
        } catch (DbUpdateException ex)
        {
            Console.Error.WriteLine(ex.Message);
        }
        return ret;
    }
}
